﻿Imports MindFusion.Charting
Imports MindFusion.Charting.Components
Imports MindFusion.Charting.WinForms
Imports MindFusion.Drawing

Imports Color = System.Drawing.Color

Public Class MainForm

	Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		chart.Title = "Print and Export Sample"
		chart.Subtitle = "by MindFusion"

		' create sample data
		Dim months As New List(Of Double)()
		For i As Integer = 1 To 11
			months.Add(i)
		Next

		Dim rand As New Random()
		chart.Series.Add(New Series2D(months, GenerateEvaluationList(rand), New List(Of String)() From { _
		 "January", _
		 "February", _
		 "March", _
		 "April", _
		 "May", _
		 "June", _
		 "July", _
		 "August", _
		 "September", _
		 "Octomber", _
		 "November" _
		}) With {.Title = "1 Grade" _
		})
		chart.Series.Add(New Series2D(months, GenerateEvaluationList(rand), Nothing) With {.Title = "2 Grade"})
		chart.Series.Add(New Series2D(months, GenerateEvaluationList(rand), Nothing) With {.Title = "3 Grade"})

		' set axis ranges
		chart.XAxis.MinValue = 0
		chart.XAxis.Interval = 1
		chart.YAxis.MinValue = 0
		chart.YAxis.Interval = 1

		' specify appearance through Theme
		chart.Theme = New Theme() With {.CommonSeriesFills = New List(Of Brush)() From {
		 New SolidBrush(Color.FromArgb(102, 154, 204)),
		 New SolidBrush(Color.FromArgb(0, 52, 102)),
		 New SolidBrush(Color.FromArgb(206, 0, 0))
		 }, .UniformSeriesFill = New SolidBrush(Color.Red), .UniformSeriesStrokeThickness = 2}

		chart.GridType = GridType.Crossed
		chart.Theme.GridLineStyle = System.Drawing.Drawing2D.DashStyle.Dash
	End Sub

	Private Sub btnPrint_Click(sender As Object, e As EventArgs) Handles btnPrint.Click
		chart.Print()
	End Sub

	Private Sub btnPrintWithPreview_Click(sender As Object, e As EventArgs) Handles btnPrintPreview.Click
		chart.PrintPreview()
	End Sub

	Private Sub btnExportToPdf_Click(sender As Object, e As EventArgs) Handles btnExportToPdf.Click
		Dim dlg As New SaveFileDialog()
		dlg.Filter = "(PDF *.pdf)|*.pdf"
		Dim result = dlg.ShowDialog()
		If result = DialogResult.OK Then
			chart.ExportPdf(dlg.FileName)
		End If
	End Sub

	Private Sub btnExportToSvg_Click(sender As Object, e As EventArgs) Handles btnExportToSvg.Click
		Dim dlg = New SaveFileDialog()
		dlg.Filter = "(SVG *.svg)|*.svg"
		Dim result = dlg.ShowDialog()
		If result = DialogResult.OK Then
			chart.ExportSvg(dlg.FileName)
		End If
	End Sub

	Private Sub btnExportToImage_Click(sender As Object, e As EventArgs) Handles btnExportToImage.Click
		Dim dlg = New SaveFileDialog()
		dlg.Filter = "(BMP *.bmp)|*.bmp"
		Dim result = dlg.ShowDialog()
		If result = DialogResult.OK Then
			chart.ExportImage(dlg.FileName)
		End If
	End Sub

	Private Function GenerateEvaluationList(rand As Random) As List(Of Double)
		Dim averageEvaluation = New List(Of Double)()
		For i As Integer = 1 To 11
			averageEvaluation.Add(rand.[Next](2, 6) + rand.NextDouble())
		Next
		Return averageEvaluation
	End Function

End Class
